1. Simon Jutzi
  2. Beta Testing
  3. Tuesday, 21 November 2023 11:15 AM UTC

Hi all

I'm preparing the migration from PB2017R3 to PB2022R3.
Since we've got a lot of projects and need to fix some code to stay compatible with the new PowerBuilder, we would like to migrate them automatically with the help of ORCA (not orcascript).

It works perfectly well already (I call PBORCA_ApplicationRebuild twice, once with PBORCA_MIGRATE and afterwards with PBORCA_FULL_REBUILD).

But if I open the migrated project in the IDE, I get this message:

The reason is, that the AppRuntimeVersion is not added to the application object in the migration process:

 

Am I doing anything wrong?

 

Who is viewing this page
Simon Jutzi Accepted Answer Pending Moderation
  1. Tuesday, 21 November 2023 14:11 PM UTC
  2. Beta Testing
  3. # 1

Hi Arnd

There was no AppRuntimeVersion version prior PB 2019, so it can't be a legacy bug.
Oh, and it's not a bug, it's an anomaly. :D

Regards Simon

Comment
There are no comments made yet.
Arnd Schmidt Accepted Answer Pending Moderation
  1. Tuesday, 21 November 2023 14:04 PM UTC
  2. Beta Testing
  3. # 2

This is not really new.

I bet this is a Sybase (legacy) bug ;-)

regards

Arnd

 

Comment
There are no comments made yet.
  • Page :
  • 1


There are no replies made for this question yet.
However, you are not allowed to reply to this question.